//
//  ViewController.swift
//  test_attr_string
//
//  Created by Hans Knöchel on 23.02.18.
//  Copyright © 2018 Hans Knöchel. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

  override func viewDidLoad() {
    super.viewDidLoad()

    let attributeString: NSMutableAttributedString = NSMutableAttributedString(string: "Hello World")
    
    // This works
    // attributeString.addAttribute(.strikethroughStyle, value: NSUnderlineStyle.styleSingle.rawValue, range: NSMakeRange(0, attributeString.length))
    
    // This doesn't
    attributeString.addAttribute(.strikethroughStyle, value: NSUnderlineStyle.byWord.rawValue, range: NSMakeRange(0, attributeString.length))

    let label = UILabel(frame: CGRect(x: 100, y: 100, width: 200, height: 40))
    label.attributedText = attributeString
    
    self.view.addSubview(label)
  }

  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }


}

